## gtksql 0.2-3

=== Makefile ===
# Here, what you need for Pgsql
PGSQLIBS    = -lpq -lcrypt
PGSQLCFLAGS = -I/usr/include/postgresql/
# Your favorite compilation options here :-)
MCFLAGS  = -Wall -O -g

# The database modules you want to be built
DBOBJS  = postgres.o
DBFLAGS = -DPOSTGRESQL

# Nothing to change here...
MOBJS   = main.o queries.o dialogs.o tables.o common.o export.o status.o

OBJS    = $(MOBJS) $(DBOBJS)
CFLAGS  = $(MCFLAGS) $(DBFLAGS)

GTKLIBS     = `gtk-config --libs`
GTKCFLAGS   = `gtk-config --cflags`

all: $(OBJS)
	gcc -o gtksql $(OBJS) $(PGSQLIBS) $(GTKLIBS) $(CFLAGS)

clean:
	rm *.o gtksql

install: all
	cp gtksql $(DESTDIR)usr/bin/
	cp gtksql.1 $(DESTDIR)usr/man/man1/

.c.o: 
	gcc $(CFLAGS) -DPOSTGRESQL $(GTKCFLAGS) $(PGSQLCFLAGS) -c $*.c -o ./$*.o

=== debian/changelog ===
gtksql (0.2-3) frozen unstable; urgency=low

  * Fixes #27684.
  * Fixes #28002.
  * Fixes #28356.
	
 -- David N. Welton <davidw@efn.org>  Tue, 10 Nov 1998 22:07:32 -0800

gtksql (0.2-2) unstable; urgency=low

  * Fixes #28002.

 -- David N. Welton <davidw@efn.org>  Thu, 15 Oct 1998 23:41:46 -0700

gtksql (0.2-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@efn.org>  Fri, 28 Aug 1998 09:56:03 -0700

gtksql (0.1-3) unstable; urgency=low

  * Added better sizing to the results columns.  It uses the bigger of the column title or column data, unless it is larger than the max, defined in queries.h. 

 -- David N. Welton <davidw@efn.org>  Wed, 29 Jul 1998 18:09:21 -0700

gtksql (0.1-2) unstable; urgency=low

  * Added username and password authentication.

 -- David N. Welton <davidw@efn.org>  Mon, 27 Jul 1998 15:02:22 -0700

gtksql (0.1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@efn.org>  Fri, 24 Jul 1998 17:14:24 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "davidw@efn.org"
End:

=== debian/control ===
Source: gtksql
Section: misc
Priority: optional
Maintainer: David N. Welton <davidw@efn.org>
Standards-Version: 2.4.1

Package: gtksql
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libpgsql (>= 6.4)
Description: GTK front end to the postgresql database.
 GtkSQL is a graphical query tool for PostgreSQL 6.3. The author
 states that it is unpolished, lacking several features planned for
 addition, but that it is stable and usable.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gtksql

build:
	$(checkdir)
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_installdocs README
	dh_installexamples
	dh_installmanpages
	dh_installchangelogs Changelog
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gtksql 0.3

=== Makefile ===
# Your favorite compilation options here :-)
MCFLAGS  = -Wall -O -g 
LDFLAGS  =  -lcrypt

# Comment out the variables for the databases that you do not want
# Here, what you need for PostgreSQL
PGSQLIBS    = -L/usr/local/pgsql/lib -lpq
PGSQLCFLAGS = -I/usr/local/pgsql/include -DUSE_POSTGRESQL
PGSQLOBJS   = postgres.o

# Here, what you need for MySQL
MYSQLIBS    = -L/usr/lib/mysql -lmysqlclient
MYSQLCFLAGS = -I/usr/include/mysql -DUSE_MYSQL
MYSQLOBJS   = mysql.o

# Nothing to change below this point...
DBSQLIBS = $(PGSQLIBS) $(MYSQLIBS)
DBSQLCFLAGS = $(PGSQLCFLAGS) $(MYSQLCFLAGS)
DBSQLOBJS = $(PGSQLOBJS) $(MYSQLOBJS)

MOBJS   = main.o queries.o dialogs.o tables.o export.o status.o \
          config.o mytoolbar.o

OBJS    = $(MOBJS) $(DBSQLOBJS)
CFLAGS  = $(MCFLAGS) $(DBSQLFLAGS)

GTKLIBS     = `gtk-config --libs`
GTKCFLAGS   = `gtk-config --cflags`

all: $(OBJS)
	gcc -o gtksql $(OBJS) $(DBSQLIBS) $(GTKLIBS) $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *.o gtksql

install: all
	cp gtksql $(DESTDIR)usr/bin/

.c.o: 
	gcc $(CFLAGS) $(GTKCFLAGS) $(DBSQLCFLAGS) -c $*.c -o ./$*.o
